# How to contribute?

- [Report bugs](https://github.com/InfiniTimeOrg/InfiniTime/issues/new?assignees=&labels=bug&template=bug-report.yaml)
- Write and improve documentation
  - Documentation might be incomplete, or not clear enough, and it is always possible to improve it with better wording, pictures, videos,...
  - As the documentation is part of the source code, you can submit changes to the documentation by creating a pull request (see below)
- Fix bugs, add functionalities and improve the code
  - See *How to create a pull request* below

## How to create a pull request?

1. Fork the project, create a [feature branch](branches.md) from develop and give it a short name that explains the topic of your changes
   - Any feature branch should focus on one topic only
2. Make changes in this branch
   - Write code that satisfies the [coding conventions](/doc/coding-convention.md)
   - Test your changes on a PineTime or the [InfiniTime simulator](https://github.com/InfiniTimeOrg/InfiniSim)
3. Create a pull request, participate in the discussion and make more changes to the feature branch if necessary

Your contributions are more than welcome!
